import e from "axios";
//#region libs/shared/common/src/data-structures/http/BasicHttpClient.ts
var t = class {
	axiosInstance;
	constructor() {
		this.axiosInstance = e.create();
	}
	async get(e, t) {
		return (await this.axiosInstance.get(e, t)).data;
	}
	async post(e, t, n) {
		return (await this.axiosInstance.post(e, t, n)).data;
	}
	async put(e, t, n) {
		return (await this.axiosInstance.put(e, t, n)).data;
	}
	async patch(e, t, n) {
		return (await this.axiosInstance.patch(e, t, n)).data;
	}
	async delete(e, t) {
		return (await this.axiosInstance.delete(e, t)).data;
	}
};
//#endregion
export { t as BasicHttpClient };
